Download it now!
Bug 31422 - Spell checker does not work in Writer
Summary: Spell checker does not work in Writer
Status: CLOSED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 RC4
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-05 17:23 UTC by Scott Derrick
Modified: 2012-05-04 00:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Derrick 2010-11-05 17:23:27 UTC
Installed LO 3.3 in Ubuntu 10.04

When using Writer it never displays a red squiggly line under mispelled words. Auto check is selected. 

If I click on the Check Spelling button it says, no words found start from top? Select yes and it finds no misspelled words.

The standard english dictionary is installed and selected.  I then installed the OO English(USA) and its still broke.
Comment 1 Rene Engelhard 2010-11-06 02:57:07 UTC
woeks for me in Debian sid (own build, though).

Did you restart OOo (ands quickstarter) after installing the dicts? (However you did that, btw, you didn't need to do so,
it should pick up the dicts you most probably already have installed in /usr/share/hunspell)

Is your text formatted (Format->Character) according to the dict you want to use?
Comment 2 Scott Derrick 2010-11-06 07:48:07 UTC
I had restarted a couple times, and yes the correct dictionary was selected.

I searched and found numerous complaints from others about teh same issue. All installed the beta build from the LibreOffice website. All on various flavors of Linux.
Comment 3 Rainer Bielefeld Retired 2010-11-11 22:41:48 UTC
@ Scott Derrick:
Please attach a sample document!
Comment 4 Scott Derrick 2010-11-12 06:33:58 UTC
I just followed the instructions here on how to fix the bug.

http://www.mail-archive.com/users@libreoffice.org/msg00064.html

It appears lots of people are experiencing this. IT may just be a defualt configuration issue, I don't know.

here's another report od the problem

http://comments.gmane.org/gmane.comp.documentfoundation.libreoffice.user/30

and another

http://www.oooforum.org/forum/viewtopic.phtml?t=68936
Comment 5 Rainer Bielefeld Retired 2010-11-15 05:46:18 UTC
@Scott Derrick
Could you please attach a sample document if you have been asked to do that?
Comment 6 Petr Mladek 2010-11-16 06:39:32 UTC
Also, it might be interesting to provide strace log. See 
http://wiki.documentfoundation.org/BugReport#How_to_get_strace_log_.28on_Linux.29
Comment 7 Rainer Bielefeld Retired 2010-12-02 15:20:34 UTC
Closing due to reporter's inactivity
Comment 8 Rainer Bielefeld Retired 2010-12-02 15:22:08 UTC
@reporter:
Please feel free to reopen this Bug if you can contribute requested information.
Comment 9 Don't use this account, use tml@iki.fi 2010-12-03 00:17:53 UTC
Rainer, just FYI, I don't think we need to bother with setting a bug state to CLOSED after it being set to RESOLVED in this bugzilla. I doubt people will remember/bother to do that in general. Feel free to disagree of course, maybe we should discuss the policy on the libreoffice mailing list?
Comment 10 Richard 2011-02-17 07:25:42 UTC
Using Win7 x64. Was using GoOO. Uninstalled and installed 3.3 RC4. As per release notes, 3.3 Release is bit for it identical to 3.3 RC4, so I'm running 3.3 Release.

Had same problem as posted in this bug. No spelling.

Changed Tools\Options\Language Settings\Writing Aids\Standard from All to English-US. Under Tools\Options\Language Settings\Languages, changed Default Language for Documents from German (huh?) to English-US.

Found that right click on desktop, "New\OpenDocument Text" results in a document that *will not* correctly spell documents as described in this bug report.

Found that Start\LibreOffice and "Text Document" results in a document that *will* correctly spell.

There is no requirement for a sample document. An empty document exhibits this problem (at least on my system).
Comment 11 Rainer Bielefeld Retired 2011-02-17 09:01:01 UTC
My suspect: Users observing those problems create new documents from desktop or Explorer, what will have selected no language, due to 
<http://www.openoffice.org/issues/show_bug.cgi?id=58014>

@Richard and others having that problem:
All your excessive investigation will lead to nowhere and nothing. 
Simply following advice of very experienced QA members and Developers will help to find the problem and will help you to work with LibO within short time.

So do not waste your and our time and remain in black despair, but
attach a sample document!  ;-)
Comment 12 Rainer Bielefeld Retired 2011-02-17 10:55:53 UTC
I filed
Bug 34409 - New document opened from File EXPLORER or Desktop without text language
For that "Open from Desktop" problem, please feel free to mark this one as DUP if you find out that it's the same problem.
Comment 13 Roman Eisele 2012-05-04 00:44:38 UTC
This is a Writer issue, therefore changed 'Component' accordingly.